- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# ogDisplay_UbixOS Class Reference

`#include <ogDisplay_UbixOS.h>`

Collaboration diagram for ogDisplay_UbixOS:

[legend]

## Public Member Functions
virtual bool | ogAlias (ogSurface &, uInt32, uInt32, uInt32, uInt32)
virtual bool | ogClone (ogSurface &)
virtual void | ogCopyPalette (ogSurface &)
virtual bool | ogCreate (uInt32, uInt32, ogPixelFmt)
| ogDisplay_UbixOS (void)
virtual bool | ogLoadPalette (const char *)
virtual void | ogSetPalette (uInt8, uInt8, uInt8, uInt8, uInt8)
virtual void | ogSetPalette (uInt8, uInt8, uInt8, uInt8)
virtual void | ogSetPalette (const ogRGBA8[])
virtual | ~ogDisplay_UbixOS (void)
## Protected Member Functions
uInt16 | FindMode (uInt32, uInt32, uInt32)
void | GetModeInfo (uInt16)
void | GetVESAInfo (void)
void | SetMode (uInt16)
void | SetPal (void)
## Protected Attributes
uInt32 | activePage
ogModeInfo * | modeInfo
void * | pages [2]
ogVESAInfo * | VESAInfo
uInt32 | visualPage

## Detailed Description

Definition at line 61 of file ogDisplay_UbixOS.h.

## Constructor & Destructor Documentation

ogDisplay_UbixOS::ogDisplay_UbixOS | ( | void |  | ) |

virtual ogDisplay_UbixOS::~ogDisplay_UbixOS | ( | void |  | ) | `[virtual]`

## Member Function Documentation

uInt16 ogDisplay_UbixOS::FindMode | ( | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |  |
| ) |  |  | `[protected]`

void ogDisplay_UbixOS::GetModeInfo | ( | uInt16 |  | ) | `[protected]`

void ogDisplay_UbixOS::GetVESAInfo | ( | void |  | ) | `[protected]`

virtual bool ogDisplay_UbixOS::ogAlias | ( | ogSurface & | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 | ,
|  | uInt32 |  |
| ) |  |  | `[virtual]`

virtual bool ogDisplay_UbixOS::ogClone | ( | ogSurface & |  | ) | `[virtual]`

virtual void ogDisplay_UbixOS::ogCopyPalette | ( | ogSurface & |  | ) | `[virtual]`

virtual bool ogDisplay_UbixOS::ogCreate | ( | uInt32 | ,
|  | uInt32 | ,
|  | ogPixelFmt |  |
| ) |  |  | `[virtual]`

virtual bool ogDisplay_UbixOS::ogLoadPalette | ( | const char * |  | ) | `[virtual]`

virtual void ogDisplay_UbixOS::ogSetPalette | ( | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 |  |
| ) |  |  | `[virtual]`

virtual void ogDisplay_UbixOS::ogSetPalette | ( | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 | ,
|  | uInt8 |  |
| ) |  |  | `[virtual]`

virtual void ogDisplay_UbixOS::ogSetPalette | ( | const | ogRGBA8[] | ) | `[virtual]`

void ogDisplay_UbixOS::SetMode | ( | uInt16 |  | ) | `[protected]`

void ogDisplay_UbixOS::SetPal | ( | void |  | ) | `[protected]`

## Field Documentation

uInt32 ogDisplay_UbixOS::activePage`[protected]`

Definition at line 64 of file ogDisplay_UbixOS.h.

ogModeInfo* ogDisplay_UbixOS::modeInfo`[protected]`

Definition at line 67 of file ogDisplay_UbixOS.h.

void* ogDisplay_UbixOS::pages[2]`[protected]`

Definition at line 63 of file ogDisplay_UbixOS.h.

ogVESAInfo* ogDisplay_UbixOS::VESAInfo`[protected]`

Definition at line 66 of file ogDisplay_UbixOS.h.

uInt32 ogDisplay_UbixOS::visualPage`[protected]`

Definition at line 65 of file ogDisplay_UbixOS.h.

The documentation for this class was generated from the following file:

- src/sys/include/sde/ogDisplay_UbixOS.h